diff --git a/dlls/quartz/tests/vmr7.c b/dlls/quartz/tests/vmr7.c
index 88c82bec0..efc876a84 100644
--- a/dlls/quartz/tests/vmr7.c
+++ b/dlls/quartz/tests/vmr7.c
@@ -2360,27 +2380,27 @@ static void test_video_window(void)
     IPin_QueryInterface(pin, &IID_IMemInputPin, (void **)&input);
 
     hr = IPin_QueryInterface(pin, &IID_IOverlay, (void **)&overlay);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IOverlay_GetWindowHandle(overlay, &hwnd);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     if (winetest_debug > 1) trace("ours %p, theirs %p\n", our_hwnd, hwnd);
     GetWindowRect(hwnd, &rect);
 
     tid = GetWindowThreadProcessId(hwnd, NULL);
-    ok(tid == GetCurrentThreadId(), "Expected tid %#lx, got %#lx.\n", GetCurrentThreadId(), tid);
+    ok(tid == GetCurrentThreadId(), "Expected tid %#x, got %#x.\n", GetCurrentThreadId(), tid);
 
     hr = IBaseFilter_QueryInterface(filter, &IID_IVideoWindow, (void **)&window);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_Caption(window, &caption);
-    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_WindowStyle(window, &l);
-    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_get_AutoShow(window, &l);
-    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     testfilter_init(&source);
     IFilterGraph2_AddFilter(graph, &source.filter.IBaseFilter_iface, NULL);
@@ -2393,17 +2413,17 @@ static void test_video_window(void)
         req_props.cbBuffer = 32 * 16 * 3;
         hr = IFilterGraph2_ConnectDirect(graph, &source.source.pin.IPin_iface, pin, &req_mt);
     }
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMemInputPin_GetAllocator(input, &allocator);
-    todo_wine ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == S_OK, "Got hr %#x.\n", hr);
     if (hr == S_OK)
     {
         hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
         ok(!memcmp(&ret_props, &req_props, sizeof(req_props)), "Properties did not match.\n");
         hr = IMemAllocator_Commit(allocator);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
         IMemAllocator_Release(allocator);
     }
 
@@ -2418,14 +2438,14 @@ static void test_video_window(void)
     test_video_window_messages(window, hwnd, our_hwnd);
 
     hr = IVideoWindow_put_FullScreenMode(window, OATRUE);
-    ok(hr == E_NOTIMPL, "Got hr %#lx.\n", hr);
+    ok(hr == E_NOTIMPL, "Got hr %#x.\n", hr);
     hr = IVideoWindow_get_FullScreenMode(window, &l);
-    ok(hr == E_NOTIMPL, "Got hr %#lx.\n", hr);
+    ok(hr == E_NOTIMPL, "Got hr %#x.\n", hr);
 
     hr = IVideoWindow_GetMinIdealImageSize(window, &width, &height);
-    todo_wine ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
     hr = IVideoWindow_GetMaxIdealImageSize(window, &width, &height);
-    todo_wine ok(hr == VFW_E_WRONG_STATE, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_WRONG_STATE, "Got hr %#x.\n", hr);
 
     IFilterGraph2_Release(graph);
     IVideoWindow_Release(window);
@@ -2433,9 +2453,9 @@ static void test_video_window(void)
     IMemInputPin_Release(input);
     IPin_Release(pin);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     ref = IBaseFilter_Release(&source.filter.IBaseFilter_iface);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     DestroyWindow(our_hwnd);
 }
 
@@ -2447,31 +2467,31 @@ static void check_source_position_(int line, IBasicVideo *video,
 
     left = top = width = height = 0xdeadbeef;
     hr = IBasicVideo_GetSourcePosition(video, &left, &top, &width, &height);
-    ok_(__FILE__,line)(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok_(__FILE__,line)(left == expect_left, "Got left %ld.\n", left);
-    ok_(__FILE__,line)(top == expect_top, "Got top %ld.\n", top);
-    ok_(__FILE__,line)(width == expect_width, "Got width %ld.\n", width);
-    ok_(__FILE__,line)(height == expect_height, "Got height %ld.\n", height);
+    ok_(__FILE__,line)(hr == S_OK, "Got hr %#x.\n", hr);
+    ok_(__FILE__,line)(left == expect_left, "Got left %d.\n", left);
+    ok_(__FILE__,line)(top == expect_top, "Got top %d.\n", top);
+    ok_(__FILE__,line)(width == expect_width, "Got width %d.\n", width);
+    ok_(__FILE__,line)(height == expect_height, "Got height %d.\n", height);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_SourceLeft(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get left, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == left, "Got left %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get left, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == left, "Got left %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_SourceTop(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get top, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == top, "Got top %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get top, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == top, "Got top %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_SourceWidth(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get width, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == width, "Got width %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get width, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == width, "Got width %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_SourceHeight(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get height, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == height, "Got height %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get height, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == height, "Got height %d.\n", l);
 }
 #define check_source_position(a,b,c,d,e) check_source_position_(__LINE__,a,b,c,d,e)
 
@@ -2481,77 +2501,77 @@ static void test_basic_video_source(IBasicVideo *video)
 
     check_source_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceLeft(video, -10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceLeft(video, 10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceTop(video, -10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceTop(video, 10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceWidth(video, -500);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceWidth(video, 0);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceWidth(video, 700);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceWidth(video, 500);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 0, 0, 500, 400);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceHeight(video, -300);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceHeight(video, 0);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceHeight(video, 600);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceHeight(video, 300);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 0, 0, 500, 300);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceLeft(video, -10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceLeft(video, 10);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 10, 0, 500, 300);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_SourceTop(video, -10);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_SourceTop(video, 20);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 10, 20, 500, 300);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetSourcePosition(video, 4, 5, 60, 40);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 4, 5, 60, 40);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetSourcePosition(video, 0, 0, 600, 400);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetSourcePosition(video, 4, 5, 60, 40);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IBasicVideo_SetDefaultSourcePosition(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_source_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultSource(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 }
 
 static void check_destination_position_(int line, IBasicVideo *video,
@@ -2562,31 +2582,31 @@ static void check_destination_position_(int line, IBasicVideo *video,
 
     left = top = width = height = 0xdeadbeef;
     hr = IBasicVideo_GetDestinationPosition(video, &left, &top, &width, &height);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get position, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(left == expect_left, "Got left %ld.\n", left);
-    ok_(__FILE__,line)(top == expect_top, "Got top %ld.\n", top);
-    ok_(__FILE__,line)(width == expect_width, "Got width %ld.\n", width);
-    ok_(__FILE__,line)(height == expect_height, "Got height %ld.\n", height);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get position, hr %#x.\n", hr);
+    ok_(__FILE__,line)(left == expect_left, "Got left %d.\n", left);
+    ok_(__FILE__,line)(top == expect_top, "Got top %d.\n", top);
+    ok_(__FILE__,line)(width == expect_width, "Got width %d.\n", width);
+    ok_(__FILE__,line)(height == expect_height, "Got height %d.\n", height);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_DestinationLeft(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get left, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == left, "Got left %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get left, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == left, "Got left %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_DestinationTop(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get top, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == top, "Got top %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get top, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == top, "Got top %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_DestinationWidth(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get width, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == width, "Got width %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get width, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == width, "Got width %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_DestinationHeight(video, &l);
-    ok_(__FILE__,line)(hr == S_OK, "Failed to get height, hr %#lx.\n", hr);
-    ok_(__FILE__,line)(l == height, "Got height %ld.\n", l);
+    ok_(__FILE__,line)(hr == S_OK, "Failed to get height, hr %#x.\n", hr);
+    ok_(__FILE__,line)(l == height, "Got height %d.\n", l);
 }
 #define check_destination_position(a,b,c,d,e) check_destination_position_(__LINE__,a,b,c,d,e)
 
@@ -2600,107 +2620,107 @@ static void test_basic_video_destination(IBasicVideo *video)
 
     check_destination_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationLeft(video, -10);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, -10, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationLeft(video, 10);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationTop(video, -20);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, -20, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationTop(video, 20);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationWidth(video, -700);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_DestinationWidth(video, 0);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_DestinationWidth(video, 700);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 700, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationWidth(video, 500);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 500, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationHeight(video, -500);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_DestinationHeight(video, 0);
-    ok(hr == E_INVALIDARG, "Got hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Got hr %#x.\n", hr);
     hr = IBasicVideo_put_DestinationHeight(video, 500);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 500, 500);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_put_DestinationHeight(video, 300);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 10, 20, 500, 300);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetDestinationPosition(video, 4, 5, 60, 40);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 4, 5, 60, 40);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetDestinationPosition(video, 0, 0, 600, 400);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetDestinationPosition(video, 4, 5, 60, 40);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IBasicVideo_SetDefaultDestinationPosition(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 600, 400);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     SetRect(&rect, 100, 200, 500, 500);
     AdjustWindowRect(&rect, WS_OVERLAPPEDWINDOW, FALSE);
     hr = IVideoWindow_SetWindowPosition(window, rect.left, rect.top,
             rect.right - rect.left, rect.bottom - rect.top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 400, 300);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_SetDestinationPosition(video, 0, 0, 400, 300);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 400, 300);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     SetRect(&rect, 100, 200, 600, 600);
     AdjustWindowRect(&rect, WS_OVERLAPPEDWINDOW, FALSE);
     hr = IVideoWindow_SetWindowPosition(window, rect.left, rect.top,
             rect.right - rect.left, rect.bottom - rect.top);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     check_destination_position(video, 0, 0, 400, 300);
     hr = IBasicVideo_IsUsingDefaultDestination(video);
-    ok(hr == S_FALSE, "Got hr %#lx.\n", hr);
+    ok(hr == S_FALSE, "Got hr %#x.\n", hr);
 
     IVideoWindow_Release(window);
 }
@@ -2749,83 +2769,83 @@ static void test_basic_video(void)
     IPin_QueryInterface(pin, &IID_IMemInputPin, (void **)&input);
 
     hr = IBasicVideo_GetTypeInfoCount(video, &count);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(count == 1, "Got count %u.\n", count);
 
     hr = IBasicVideo_GetTypeInfo(video, 0, 0, &typeinfo);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = ITypeInfo_GetTypeAttr(typeinfo, &typeattr);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(typeattr->typekind == TKIND_DISPATCH, "Got kind %u.\n", typeattr->typekind);
     ok(IsEqualGUID(&typeattr->guid, &IID_IBasicVideo), "Got IID %s.\n", wine_dbgstr_guid(&typeattr->guid));
     ITypeInfo_ReleaseTypeAttr(typeinfo, typeattr);
     ITypeInfo_Release(typeinfo);
 
     hr = IBasicVideo_get_AvgTimePerFrame(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_AvgTimePerFrame(video, &reftime);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_BitRate(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_BitRate(video, &l);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_BitErrorRate(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_BitErrorRate(video, &l);
-    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_VideoWidth(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_VideoHeight(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_SourceLeft(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_SourceWidth(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_SourceTop(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_SourceHeight(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_get_DestinationLeft(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_DestinationWidth(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_DestinationTop(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_get_DestinationHeight(video, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_GetSourcePosition(video, NULL, &top, &width, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetSourcePosition(video, &left, NULL, &width, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetSourcePosition(video, &left, &top, NULL, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetSourcePosition(video, &left, &top, &width, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_GetDestinationPosition(video, NULL, &top, &width, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetDestinationPosition(video, &left, NULL, &width, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetDestinationPosition(video, &left, &top, NULL, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetDestinationPosition(video, &left, &top, &width, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_GetVideoSize(video, &width, NULL);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetVideoSize(video, NULL, &height);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
 
     hr = IBasicVideo_GetVideoPaletteEntries(video, 0, 1, NULL, &l);
-    ok(hr == E_POINTER, "Got hr %#lx.\n", hr);
+    ok(hr == E_POINTER, "Got hr %#x.\n", hr);
     hr = IBasicVideo_GetVideoPaletteEntries(video, 0, 1, &l, NULL);
-    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_NOT_CONNECTED, "Got hr %#x.\n", hr);
 
     testfilter_init(&source);
     IFilterGraph2_AddFilter(graph, &source.filter.IBaseFilter_iface, L"vmr9");
@@ -2836,66 +2856,66 @@ static void test_basic_video(void)
         skip("Got E_FAIL when connecting.\n");
         goto out;
     }
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMemInputPin_GetAllocator(input, &allocator);
-    todo_wine ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == S_OK, "Got hr %#x.\n", hr);
     if (hr == S_OK)
     {
         hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
         ok(!memcmp(&ret_props, &req_props, sizeof(req_props)), "Properties did not match.\n");
         hr = IMemAllocator_Commit(allocator);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
         IMemAllocator_Release(allocator);
     }
 
     reftime = 0.0;
     hr = IBasicVideo_get_AvgTimePerFrame(video, &reftime);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     ok(compare_double(reftime, 0.02, 1 << 28), "Got frame rate %.16e.\n", reftime);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_BitRate(video, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!l, "Got bit rate %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!l, "Got bit rate %d.\n", l);
 
     l = 0xdeadbeef;
     hr = IBasicVideo_get_BitErrorRate(video, &l);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(!l, "Got bit rate %ld.\n", l);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(!l, "Got bit rate %d.\n", l);
 
     hr = IBasicVideo_GetVideoPaletteEntries(video, 0, 1, &l, NULL);
-    todo_wine ok(hr == VFW_E_NO_PALETTE_AVAILABLE, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == VFW_E_NO_PALETTE_AVAILABLE, "Got hr %#x.\n", hr);
 
     width = height = 0xdeadbeef;
     hr = IBasicVideo_GetVideoSize(video, &width, &height);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
-    ok(width == 600, "Got width %ld.\n", width);
-    ok(height == 400, "Got height %ld.\n", height);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
+    ok(width == 600, "Got width %d.\n", width);
+    ok(height == 400, "Got height %d.\n", height);
 
     test_basic_video_source(video);
     test_basic_video_destination(video);
 
     hr = IFilterGraph2_Disconnect(graph, &source.source.pin.IPin_iface);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IFilterGraph2_Disconnect(graph, pin);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     vih.bmiHeader.biWidth = 16;
     vih.bmiHeader.biHeight = 16;
     hr = IFilterGraph2_ConnectDirect(graph, &source.source.pin.IPin_iface, pin, &req_mt);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IMemInputPin_GetAllocator(input, &allocator);
-    todo_wine ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == S_OK, "Got hr %#x.\n", hr);
     if (hr == S_OK)
     {
         hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
         ok(!memcmp(&ret_props, &req_props, sizeof(req_props)), "Properties did not match.\n");
         hr = IMemAllocator_Commit(allocator);
-        ok(hr == S_OK, "Got hr %#lx.\n", hr);
+        ok(hr == S_OK, "Got hr %#x.\n", hr);
         IMemAllocator_Release(allocator);
     }
 
@@ -2908,14 +2928,14 @@ static void test_basic_video(void)
 
 out:
     ref = IFilterGraph2_Release(graph);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     IBasicVideo_Release(video);
     IMemInputPin_Release(input);
     IPin_Release(pin);
     ref = IBaseFilter_Release(filter);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
     ref = IBaseFilter_Release(&source.filter.IBaseFilter_iface);
-    ok(!ref, "Got outstanding refcount %ld.\n", ref);
+    ok(!ref, "Got outstanding refcount %d.\n", ref);
 }
 
 static void test_windowless_size(void)
@@ -2960,12 +2980,12 @@ static void test_windowless_size(void)
     ok(!!window, "Failed to create a window.\n");
 
     hr = IVMRWindowlessControl_SetVideoClippingWindow(windowless_control, window);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
 
     hr = IFilterGraph2_ConnectDirect(graph, &source.source.pin.IPin_iface, pin, &mt);
-    ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    ok(hr == S_OK, "Got hr %#x.\n", hr);
     hr = IMemInputPin_GetAllocator(input, &allocator);
-    todo_wine ok(hr == S_OK, "Got hr %#lx.\n", hr);
+    todo_wine ok(hr == S_OK, "Got hr %#x.\n", hr);
     if (hr == S_OK)
     {
         hr = IMemAllocator_SetProperties(allocator, &req_props, &ret_props);
